com.google.gwt.dom.client

## Class TableColElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.TableColElement

    @TagName(value={"col","colgroup"})
    public class TableColElement
    extends Element

Regroups the COL and COLGROUP elements.

See Also:
  W3C HTML Specification

### Field Summary

Fields
`static java.lang.String` `TAG_COL`
`static java.lang.String` `TAG_COLGROUP`

### Fields inherited from class com.google.gwt.dom.client.Element

`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

### Fields inherited from class com.google.gwt.dom.client.Node

`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `TableColElement()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TableColElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` `getAlign()` Horizontal alignment of cell data in column.
`java.lang.String` `getCh()` Alignment character for cells in a column.
`java.lang.String` `getChOff()` Offset of alignment character.
`int` `getSpan()` Indicates the number of columns in a group or affected by a grouping.
`java.lang.String` `getVAlign()` Vertical alignment of cell data in column.
`java.lang.String` `getWidth()` Default column width.
`static boolean` `is(Element elem)` Determine whether the given `Element` can be cast to this class.
`static boolean` `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
`static boolean` `is(Node node)` Determine whether the given `Node` can be cast to this class.
`void` `setAlign(java.lang.String align)` Horizontal alignment of cell data in column.
`void` `setCh(java.lang.String ch)` Alignment character for cells in a column.
`void` `setChOff(java.lang.String chOff)` Offset of alignment character.
`void` `setSpan(int span)` Indicates the number of columns in a group or affected by a grouping.
`void` `setVAlign(java.lang.String vAlign)` Vertical alignment of cell data in column.
`void` `setWidth(java.lang.String width)` Default column width.

### Methods inherited from class com.google.gwt.dom.client.Element

`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

### Methods inherited from class com.google.gwt.dom.client.Node

`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TAG_COL

    public static final java.lang.String TAG_COL

See Also:
  Constant Field Values

#### TAG_COLGROUP

    public static final java.lang.String TAG_COLGROUP

See Also:
  Constant Field Values

### Constructor Detail

#### TableColElement

    protected TableColElement()

### Method Detail

#### as

    public static TableColElement as(Element elem)

Assert that the given `Element` is compatible with this class and automatically typecast it.

#### is

    public static boolean is(JavaScriptObject o)

Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

#### is

    public static boolean is(Node node)

Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

#### is

    public static boolean is(Element elem)

Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

#### getAlign

    public final java.lang.String getAlign()

Horizontal alignment of cell data in column.

See Also:
  W3C HTML Specification

#### getCh

    public final java.lang.String getCh()

Alignment character for cells in a column.

See Also:
  W3C HTML Specification

#### getChOff

    public final java.lang.String getChOff()

Offset of alignment character.

See Also:
  W3C HTML Specification

#### getSpan

    public final int getSpan()

Indicates the number of columns in a group or affected by a grouping.

See Also:
  W3C HTML Specification

#### getVAlign

    public final java.lang.String getVAlign()

Vertical alignment of cell data in column.

See Also:
  W3C HTML Specification

#### getWidth

    public final java.lang.String getWidth()

Default column width.

See Also:
  W3C HTML Specification

#### setAlign

    public final void setAlign(java.lang.String align)

Horizontal alignment of cell data in column.

See Also:
  W3C HTML Specification

#### setCh

    public final void setCh(java.lang.String ch)

Alignment character for cells in a column.

See Also:
  W3C HTML Specification

#### setChOff

    public final void setChOff(java.lang.String chOff)

Offset of alignment character.

See Also:
  W3C HTML Specification

#### setSpan

    public final void setSpan(int span)

Indicates the number of columns in a group or affected by a grouping.

See Also:
  W3C HTML Specification

#### setVAlign

    public final void setVAlign(java.lang.String vAlign)

Vertical alignment of cell data in column.

See Also:
  W3C HTML Specification

#### setWidth

    public final void setWidth(java.lang.String width)

Default column width.

See Also:
  W3C HTML Specification